javax.faces.component.html

## Enum HtmlSelectManyCheckbox.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlSelectManyCheckbox.PropertyKeys>
  - - javax.faces.component.html.HtmlSelectManyCheckbox.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlSelectManyCheckbox.PropertyKeys>
  Enclosing class:
    HtmlSelectManyCheckbox

      protected static enum HtmlSelectManyCheckbox.PropertyKeys
      extends Enum<HtmlSelectManyCheckbox.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `border`
    `dir`
    `disabled`
    `disabledClass`
    `enabledClass`
    `label`
    `lang`
    `layout`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `selectedClass`
    `style`
    `styleClass`
    `tabindex`
    `title`
    `unselectedClass`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlSelectManyCheckbox.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlSelectManyCheckbox.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlSelectManyCheckbox.PropertyKeys accesskey

    - #### border

          public static final HtmlSelectManyCheckbox.PropertyKeys border

    - #### dir

          public static final HtmlSelectManyCheckbox.PropertyKeys dir

    - #### disabled

          public static final HtmlSelectManyCheckbox.PropertyKeys disabled

    - #### disabledClass

          public static final HtmlSelectManyCheckbox.PropertyKeys disabledClass

    - #### enabledClass

          public static final HtmlSelectManyCheckbox.PropertyKeys enabledClass

    - #### label

          public static final HtmlSelectManyCheckbox.PropertyKeys label

    - #### lang

          public static final HtmlSelectManyCheckbox.PropertyKeys lang

    - #### layout

          public static final HtmlSelectManyCheckbox.PropertyKeys layout

    - #### onblur

          public static final HtmlSelectManyCheckbox.PropertyKeys onblur

    - #### onchange

          public static final HtmlSelectManyCheckbox.PropertyKeys onchange

    - #### onclick

          public static final HtmlSelectManyCheckbox.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlSelectManyCheckbox.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlSelectManyCheckbox.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlSelectManyCheckbox.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlSelectManyCheckbox.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlSelectManyCheckbox.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlSelectManyCheckbox.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlSelectManyCheckbox.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlSelectManyCheckbox.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlSelectManyCheckbox.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlSelectManyCheckbox.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlSelectManyCheckbox.PropertyKeys onselect

    - #### readonly

          public static final HtmlSelectManyCheckbox.PropertyKeys readonly

    - #### role

          public static final HtmlSelectManyCheckbox.PropertyKeys role

    - #### selectedClass

          public static final HtmlSelectManyCheckbox.PropertyKeys selectedClass

    - #### style

          public static final HtmlSelectManyCheckbox.PropertyKeys style

    - #### styleClass

          public static final HtmlSelectManyCheckbox.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlSelectManyCheckbox.PropertyKeys tabindex

    - #### title

          public static final HtmlSelectManyCheckbox.PropertyKeys title

    - #### unselectedClass

          public static final HtmlSelectManyCheckbox.PropertyKeys unselectedClass

  - ### Method Detail

    - #### values

          public static HtmlSelectManyCheckbox.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlSelectManyCheckbox.PropertyKeys c : HtmlSelectManyCheckbox.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlSelectManyCheckbox.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlSelectManyCheckbox.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.